## fcitx-sayura 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

project(fcitx-sayura)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

# FIND_PACKAGE(Gettext REQUIRED)
find_package(Fcitx REQUIRED)
find_package(Gettext REQUIRED)
find_package(Libiconv REQUIRED)

# uninstall target
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

add_custom_target(uninstall
  COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

option(ENABLE_SAYURA_DEBUG "Debug output for develop" OFF)

if(ENABLE_SAYURA_DEBUG)
  set(CMAKE_C_FLAGS "-DFCITX_SAYURA_DEBUG ${CMAKE_C_FLAGS}")
  set(CMAKE_CXX_FLAGS "-DFCITX_SAYURA_DEBUG ${CMAKE_CXX_FLAGS}")
endif(ENABLE_SAYURA_DEBUG)

if(NOT DEFINED LIB_INSTALL_DIR)
  set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
endif(NOT DEFINED LIB_INSTALL_DIR)
if(NOT DEFINED LOCALEDIR)
  set(LOCALEDIR ${CMAKE_INSTALL_PREFIX}/share/locale)
endif(NOT DEFINED LOCALEDIR)

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/config.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/config.h"
  IMMEDIATE @ONLY)

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

=== data/CMakeLists.txt ===
fcitx_add_addon_conf_file(fcitx-sayura.conf)
fcitx_add_inputmethod_conf_file(sayura.conf)

install(FILES sayura.svg DESTINATION share/icons/hicolor/scalable/apps/)
set(sizes 16 24 32 48 64 128 192)
foreach(size ${sizes})
  install(FILES "sayura${size}.png"
    DESTINATION "share/icons/hicolor/${size}x${size}/apps/"
    RENAME fcitx-sayura.png)
endforeach(size ${sizes})

install(FILES sayura32.png DESTINATION share/fcitx/skin/default/
  RENAME sayura.png)
install(FILES sayura32.png DESTINATION share/fcitx/imicon/
  RENAME sayura.png)

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.po)
file(RELATIVE_PATH REL_SOURCE_ROOT ${PROJECT_BINARY_DIR} ${PROJECT_SOURCE_DIR})
if ("${REL_SOURCE_ROOT}" STREQUAL "")
    set(REL_SOURCE_ROOT ".")
endif("${REL_SOURCE_ROOT}" STREQUAL "")

set(POT_FILE fcitx-sayura.pot)

configure_file(POTFILES.in.in ${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in)

extract_fcitx_addon_conf_postring()

add_custom_target(
    pot
    COMMAND INTLTOOL_EXTRACT=${INTLTOOL_EXTRACT} srcdir=${CMAKE_CURRENT_BINARY_DIR} ${INTLTOOL_UPDATE} --gettext-package fcitx-sayura --pot
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/conf.po
    )

# Update .po files and compile them to binary .gmo files
gettext_create_translations(${POT_FILE} ALL ${PO_FILES})

=== src/CMakeLists.txt ===
include_directories(${FCITX4_FCITX_INCLUDE_DIRS})
include_directories(${FCITX4_FCITX_CONFIG_INCLUDE_DIRS})
include_directories(${FCITX4_FCITX_UTILS_INCLUDE_DIRS})
include_directories(${PROJECT_BINARY_DIR})
include_directories(${LIBICONV_INCLUDE_DIR})

set(fcitx_sayura_sources
  eim.c
  )

fcitx_add_addon(fcitx-sayura ${fcitx_sayura_sources})
target_link_libraries(fcitx-sayura ${LIBICONV_LIBRARIES})

=== debian/changelog ===
fcitx-sayura (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #689632)

 -- Eleanor Chen <chenyueg@gmail.com>  Fri, 05 Oct 2012 00:01:37 +0800

=== debian/control ===
Source: fcitx-sayura
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>, Eleanor Chen <chenyueg@gmail.com>
Build-Depends: debhelper (>= 9), cmake, intltool, pkg-config,
 fcitx-libs-dev (>= 1:4.2.0)
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://git.debian.org/pkg-ime/fcitx-sayura.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-sayura.git

Package: fcitx-sayura
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-bin, 
  fcitx-data (>= 1:4.2.0), fcitx-modules
Recommends: fcitx (>= 1:4.2.0)
Breaks: fcitx (<< 1:4.2.0)
Description: Fcitx wrapper for Sayura IM engine
 fcitx-googlepinyin is a wrapper of Sayura IM engine for Fcitx.
 .
 Sayura is a quasi-transliteration scheme for Sinhala script.
 Sayura uses individual Latin characters to signify unmodified consonents.

## fcitx-sayura 0.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,12 @@
-cmake_minimum_required (VERSION 2.6)
-
+cmake_minimum_required(VERSION 2.6)
 project(fcitx-sayura)
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 
-# FIND_PACKAGE(Gettext REQUIRED)
-find_package(Fcitx REQUIRED)
-find_package(Gettext REQUIRED)
+find_package(Fcitx 4.2.7 REQUIRED)
 find_package(Libiconv REQUIRED)
 
-# uninstall target
-configure_file(
-  "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
-  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
-  IMMEDIATE @ONLY)
-
-add_custom_target(uninstall
-  COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
+_fcitx_add_uninstall_target()
 
 set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
 set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
@@ -41,6 +31,6 @@
   "${CMAKE_CURRENT_BINARY_DIR}/config.h"
   IMMEDIATE @ONLY)
 
+add_subdirectory(po)
 add_subdirectory(src)
 add_subdirectory(data)
-add_subdirectory(po)

=== po/CMakeLists.txt ===
set(PO_LANGS de ja zh_CN zh_TW)
foreach(lang ${PO_LANGS})
  fcitx_translate_add_po_file("${lang}" "${lang}.po")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-sayura fcitx-sayura.pot)

=== debian/changelog ===
fcitx-sayura (0.1.1-1) unstable; urgency=low

  * New upstream release

 -- Aron Xu <aron@debian.org>  Tue, 06 Aug 2013 21:53:48 +0800

=== debian/control ===
Source: fcitx-sayura
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>, Eleanor Chen <chenyueg@gmail.com>
Build-Depends: debhelper (>= 9), cmake, intltool, pkg-config,
 fcitx-libs-dev (>= 1:4.2.8), fcitx-bin (>= 1:4.2.8)
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-sayura.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-sayura.git

Package: fcitx-sayura
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-bin, 
  fcitx-data (>= 1:4.2.8), fcitx-modules
Recommends: fcitx (>= 1:4.2.8)
Breaks: fcitx (<< 1:4.2.8)
Description: Fcitx wrapper for Sayura IM engine
 fcitx-googlepinyin is a wrapper of Sayura IM engine for Fcitx.
 .
 Sayura is a quasi-transliteration scheme for Sinhala script.
 Sayura uses individual Latin characters to signify unmodified consonents.

=== debian/watch ===
version=3
http://code.google.com/p/fcitx/downloads/list .*/fcitx-sayura-*\.*(.*)\.tar\.xz

## fcitx-sayura 0.1.2

=== data/CMakeLists.txt ===
install(FILES sayura.svg DESTINATION share/icons/hicolor/scalable/apps/)
set(sizes 16 24 32 48 64 128 192)
foreach(size ${sizes})
  install(FILES "sayura${size}.png"
    DESTINATION "share/icons/hicolor/${size}x${size}/apps/"
    RENAME fcitx-sayura.png)
endforeach()

install(FILES sayura32.png DESTINATION share/fcitx/skin/default/
  RENAME sayura.png)
install(FILES sayura32.png DESTINATION share/fcitx/imicon/
  RENAME sayura.png)

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" *.po)

foreach(po_file ${PO_FILES})
  string(REPLACE ".po" "" po_lang "${po_file}")
  fcitx_translate_add_po_file("${po_lang}" "${po_file}")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-sayura fcitx-sayura.pot)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,9 @@
 set(fcitx_sayura_sources
   eim.c
   )
-
-fcitx_add_addon(fcitx-sayura ${fcitx_sayura_sources})
-target_link_libraries(fcitx-sayura ${LIBICONV_LIBRARIES})
+fcitx_add_addon_full(sayura
+  SOURCES ${fcitx_sayura_sources}
+  CONF_SRC ../data/fcitx-sayura.conf
+  IM_CONFIG ../data/sayura.conf
+  LINK_LIBS ${LIBICONV_LIBRARIES}
+  EXTRA_PO eim.h)

=== debian/changelog ===
fcitx-sayura (0.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refine packaging instructions.
    + Update d/copyright to fit DEP-5 format.
    + Update maintainer to Debian Input Method Team.
      (Closes: #899505).
    + Point homepage to GitLab.
    + Use canonical Vcs URL.
    + Apply "wrap-and-sort -abst".
    + Bump Standards-Version to 4.2.1.
    + Bump debhelper compat to v11.
    + Modernize debian/rules.
  * Enable full hardening.
  * Mark fcitx-sayura as M-A: same.
  * Point d/watch to download.fcitx-im.org.

 -- Boyuan Yang <byang@debian.org>  Sat, 20 Oct 2018 22:43:17 -0400

=== debian/control ===
Source: fcitx-sayura
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <syq@debian.org>,
 Eleanor Chen <chenyueg@gmail.com>,
Build-Depends:
 cmake,
 debhelper (>= 11),
 fcitx-bin (>= 1:4.2.8),
 fcitx-libs-dev (>= 1:4.2.8),
 intltool,
 pkg-config,
Standards-Version: 4.2.1
Homepage: https://gitlab.com/fcitx/fcitx-sayura
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-sayura.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-sayura

Package: fcitx-sayura
Architecture: any
Multi-Arch: same
Depends:
 fcitx-bin,
 fcitx-data (>= 1:4.2.8),
 fcitx-modules,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx (>= 1:4.2.8),
Breaks:
 fcitx (<< 1:4.2.8),
Description: Fcitx wrapper for Sayura IM engine
 fcitx-googlepinyin is a wrapper of Sayura IM engine for Fcitx.
 .
 Sayura is a quasi-transliteration scheme for Sinhala script.
 Sayura uses individual Latin characters to signify unmodified consonants.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_makeshlibs:

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="" \
 https://download.fcitx-im.org/fcitx-sayura/ \
 fcitx-sayura-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
